package com.dgtis.dorm.manager.db.dao;

import com.dgtis.dorm.manager.db.domain.AlumniOrganizeCustom;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AlumniOrganizeCustomMapper {

    List<AlumniOrganizeCustom> selectOrganizeByType(@Param("type") String type);

    List<AlumniOrganizeCustom> selectOrganizeByUserId(AlumniOrganizeCustom alumniOrganizeCustom);

    List<AlumniOrganizeCustom> selectOrganizeBySelective(AlumniOrganizeCustom alumniOrganizeCustom);

    List<AlumniOrganizeCustom> selectMyOrganizeByUserIdAndOrgType(@Param("userId") Integer userId,@Param("organizeType") String organizeType);

    List<AlumniOrganizeCustom> selectMyOrganizeByUserId(@Param("userId") Integer userId);

    Integer deleteOrgById(@Param("orgId") Integer orgId);

    AlumniOrganizeCustom selectById(@Param("id") Integer id);
}